diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index 7bed4f56f0..3b20e73a61 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -3376,6 +3376,13 @@ ALTER TABLE measurement ATTACH PARTITION measurement_y2008m02
       </para>
      </listitem>
 
+     <listitem>
+      <para>
+       <command>UPDATE</command> row movement is not supported in the cases
+       where the old row is contained in a foreign table partition.
+      </para>
+     </listitem>
+
      <listitem>
       <para>
        <literal>BEFORE ROW</literal> triggers, if necessary, must be defined
diff --git a/doc/src/sgml/release-11.sgml b/doc/src/sgml/release-11.sgml
index 14e2726f0c..d6fc5a3e31 100644
--- a/doc/src/sgml/release-11.sgml
+++ b/doc/src/sgml/release-11.sgml
@@ -2578,6 +2578,13 @@ Branch: REL9_3_STABLE [84261eb10] 2018-10-19 17:02:26 -0400
         column now cause affected rows to be moved to the appropriate
         partitions (Amit Khandekar)
        </para>
+
+       <para>
+        However, not all cases where such row movment would be necessary
+        are handled currently; see
+        <link linkend="ddl-partitioning-declarative-limitations">declarative
+        partitioning limitations</link> for more information.
+       </para>
       </listitem>
 
       <listitem>
